FROM node:alpine
ENV HOST 0.0.0.0

WORKDIR /usr/src/app

COPY ["package.json", "package-lock.json*", "npm-shrinkwrap.json*", "./"]

RUN npm install --production
COPY . .

EXPOSE 3000

RUN npm run build

CMD npm start